Customer Orders

Endpoint responsible for creating an order

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Description of errors

CodeStatusCodeDescription
VTX001500Error on external provider
ORD002400Product out of stock
SOL007400Product not found
SOL011409Invalid single-line quantity and/or repeated numbers

Request fields

FieldTypeDescription
orderCorrelationIdstringOrder correlation identifier.
customer.documentstringCustomer document (e.g., CPF).
customer.phonestringCustomer phone number.
customer.firstNamestringCustomer first name.
customer.lastNamestringCustomer last name.
productsarrayList of products associated with the order.
products[].productIdintegerProduct identifier.
products[].productCorrelationIdstringProduct correlation identifier.
products[].sharesintegerNumber of shares for the product.
products[].singleLineDataobject or nullBet data for products with line-based games.
products[].singleLineData.durationintegerNumber of draws (duration).
products[].singleLineData.linesarrayList of bet lines.
products[].singleLineData.lines[].isQuickPickbooleanIndicates if the line is Quick Pick (random numbers).
products[].singleLineData.lines[].numbersarray<integer> or nullNumbers manually chosen, or null if Quick Pick.
Body Params
string
required

The partner order correlation id

customer
object
required

"document" refers to the user's CPF, "phone" refers to the user's phone number, "firstName" refers to the user's name and "lastName" refers to the user's last name

products
array of objects
required

For syndicate, "singleLineData" is not mandatory. For Single Line, "singleLineData" is mandatory and "lines" array must have the same quantity of items than "shares" attribute value.

products*
boolean
Defaults to false

Flag that indicates whether out-of-stock items will be exchanged.

Headers
string
required

Authentication api key

string
required

A security HMAC to validate the integrity of the request

string
required

Request timestamp. Timestamp with more than 5 minutes will be rejected

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json